%define version 0.2
%define release 2mdk
#
# spec file for package sffview 
#
# Copyright (c) 2003 Gernot Hillier <gernot@hillier.de>
# Parts copyright (c) SuSE Linux AG, Nuernberg, Germany.
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to Gernot Hillier <gernot@hillier.de>
#

Name:          sffview
License:       MIT
Group:         Communications
Version:       %version 
Release:       %release
Summary:       Viewer for SFF files
Source0:       %{name}-%{version}.tar.bz2
Patch0:        sffview-gcc3.2.diff.bz2
Buildrequires: libwxgtk-devel
Url:           http://sfftools.sourceforge.net/sffview.html
BuildRoot:     %{_tmppath}/%{name}-%{version}

%description
The CAPI interface for programming ISDN hardware expects and gives you faxes
in the "Structured Fax File" (SFF) format.

SffView is a viewer for SFF-files. SffView is written in C++ using the
wxWindows/wxGTK toolkit and is therefore available for Linux and Windows
(wxWindows is a platform independent toolkit and wxGTK is a unix
implementation based on GTK+, see wxWindows homepage).

Authors:
--------
    Peter Schfer

%prep
%setup -q
%patch0 -p1

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_bindir}
install %{name} $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%doc doc/README doc/COPYING

%changelog 
* Mon Jul 25 2003 Steffen Barszus <st_barszus@gmx.de> 0.2-2mdk
- fixed some packaging bugs

* Mon Jul 25 2003 Steffen Barszus <st_barszus@gmx.de> 0.2-1mdk
- initial rpm for mandrake

* Wed Mar 09 2003 Gernot Hillier  <gernot@hillier.de> 0.2-1
- update URLs, changed some copyright notices as this is no official
  SuSE package any more
* Mon Jan 20 2003 - ghillie@suse.de
- removed arch=i486 from Makefile (see gcc-3.2 patch)
- added glib and gtk to neededforbuild
* Mon Dec 16 2002 - gernot@hillier.de
- first package
